Delete an entry (kept in the change history)
DELETE /api/hr/v1/time-entries/{id}
Module: HR · operationId: deleteTimeEntry · Tag: Working time · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
version |
query | integer | yes | |
reason |
query | string | ||
id |
path | string (uuid) | yes |
Responses
- 204 Deleted
- 404 Error (
application/json) - 409 Error (
application/json)
Example request
curl -X DELETE 'https://api.mbcom.cloud/api/hr/v1/time-entries/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12?version=1' \
-H "Authorization: Bearer $ACCESS_TOKEN"